<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.2

Copyright (C) 2006-2015  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once("../lib/gettext/gettext.inc");
include_once("../inc/config.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(TRUE) == FALSE) header("Location: ../index.php");
if (CheckNivLog("9") == FALSE) header("Location: ../index.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];

$nu = intval(@$_POST["nu"]);

$tab_enr = [];
if (count($_POST["modele"]) <> 0) {
    for ($i = 0; $i < count($_POST["modele"]); $i++) {
        $tab_enr[$_POST["modele"][$i]] = $_POST["codemod_" . $_POST["modele"][$i]];
    }
}

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

// On ajoute le détail ligne par ligne
foreach ($tab_enr as $key => $value) {
    $rech2 = "";
    if ($value <> "") {
        // On vérifie si le Modèle existe bien
        $row = lit_enr_droitsm($value, FALSE);
        if (is_array($row))
            // On met à jour le Modèle
            $rech2 = "UPDATE `" . TBPW . "` SET `pw_modele`='" . $value . "' WHERE `pw_code` = '" . $key . "'";
    } else
        // On met à jour le Modèle
        $rech2 = "UPDATE `" . TBPW . "` SET `pw_modele`='" . $value . "' WHERE `pw_code` = '" . $key . "'";
    if ($rech2 <> "")
        $db->query($rech2);
}
$msg = _("Fiche modifiée");
$db->disconnect();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Affectation modèles de droits"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once("../inc/entete.inc.php"); ?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>

<p align="center">&nbsp;</p>
<?PHP
pop_ret_auto($msg, 'ok', "index.php");
include_once("pied.php");
?>
</body>

</html>